org.apache.sysds.runtime.util

## Enum DMVUtils.LEVEL_ENUM

- java.lang.Object
- - java.lang.Enum<DMVUtils.LEVEL_ENUM>
  - - org.apache.sysds.runtime.util.DMVUtils.LEVEL_ENUM

All Implemented Interfaces:
  Serializable, Comparable<DMVUtils.LEVEL_ENUM>

Enclosing class:
  DMVUtils

    public static enum DMVUtils.LEVEL_ENUM
    extends Enum<DMVUtils.LEVEL_ENUM>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LEVEL1`
`LEVEL2`
`LEVEL3`
`LEVEL4`
`LEVEL5`
`LEVEL6`

### Method Summary

All Methods Static Methods Concrete Methods
`static DMVUtils.LEVEL_ENUM` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DMVUtils.LEVEL_ENUM[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEVEL1

    public static final DMVUtils.LEVEL_ENUM LEVEL1

#### LEVEL2

    public static final DMVUtils.LEVEL_ENUM LEVEL2

#### LEVEL3

    public static final DMVUtils.LEVEL_ENUM LEVEL3

#### LEVEL4

    public static final DMVUtils.LEVEL_ENUM LEVEL4

#### LEVEL5

    public static final DMVUtils.LEVEL_ENUM LEVEL5

#### LEVEL6

    public static final DMVUtils.LEVEL_ENUM LEVEL6

### Method Detail

#### values

    public static DMVUtils.LEVEL_ENUM[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DMVUtils.LEVEL_ENUM c : DMVUtils.LEVEL_ENUM.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DMVUtils.LEVEL_ENUM valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null